package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 原材料对象 company_material
 *
 * @author fs
 * @date 2025-07-01
 */
public class CompanyMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 原料名称 */
    @Excel(name = "原料名称")
    private String materialName;

    /** 原料类型 */
    @Excel(name = "原料类型")
    private String materialType;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 标签 */
    @Excel(name = "标签")
    private String tags;

    /** 组图 */
    @Excel(name = "组图")
    private String images;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long createUserId;

    /** 更新者ID */
    @Excel(name = "更新者ID")
    private Long updateUserId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMaterialName(String materialName)
    {
        this.materialName = materialName;
    }

    public String getMaterialName()
    {
        return materialName;
    }
    public void setMaterialType(String materialType)
    {
        this.materialType = materialType;
    }

    public String getMaterialType()
    {
        return materialType;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setStock(Long stock)
    {
        this.stock = stock;
    }

    public Long getStock()
    {
        return stock;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setTags(String tags)
    {
        this.tags = tags;
    }

    public String getTags()
    {
        return tags;
    }
    public void setImages(String images)
    {
        this.images = images;
    }

    public String getImages()
    {
        return images;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("materialName", getMaterialName())
            .append("materialType", getMaterialType())
            .append("unit", getUnit())
            .append("stock", getStock())
            .append("companyId", getCompanyId())
            .append("tags", getTags())
            .append("images", getImages())
            .append("createTime", getCreateTime())
            .append("createUserId", getCreateUserId())
            .append("updateTime", getUpdateTime())
            .append("updateUserId", getUpdateUserId())
            .append("isDel", getIsDel())
            .toString();
    }
}
